EDIT - feature request #2302

Include ISO-3166 numeric codes to Country
03/22/2011 01:32 PM - Andreas Mdller

Status: New Start date:

Priority: Priority12 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: CDM UML 5.43

Severity: normal

Description

We may include the 1ISO-3166 numeric codes.

http://de.wikipedia.org/wiki/ISO-3166-1-Kodierliste

https://www.iso.org/obp/ui/#iso:pub:PUB500001:en

http://www.iso.org/iso/country codes/iso_3166_code_lists.htm

http://de.wikipedia.org/wiki/ISO_3166

see also #1623, #3702

new developments: http://www.iso.org/iso/country_codes/check_what_s_new.htm

also important and a good source: http://www.getty.edu/research/tools/vocabularies/tgn/

see also #3700

Related issues:

Related to EDIT - feature request #3702: WaterbodyOrCountry ISO 3166 alpha-3 ... Closed
Related to EDIT - feature request #7640: Update ISO country names where neces... Closed
History

#1 - 07/05/2012 04:59 PM - Andreas Miiller

there might be an other ticket that suggests to have a new "code" attribute in DefinedTerms or "Terms", or maybe even 2 of them.

#2 - 05/15/2013 01:18 AM - Andreas Miiller
- Priority changed from Highest to Priority13

#3 - 09/04/2013 04:45 PM - Andreas Miuller

- Status changed from New to In Progress

#4 - 09/04/2013 05:17 PM - Andreas Miuller

- Status changed from In Progress to New

#5 - 09/04/2013 05:23 PM - Andreas Miiller

- Subject changed from WaterbodyOrCountry ISO 3166 alpha-3 code should be available as attribute to Include ISO-3166 numeric codes to
WaterbodyOrCountry

moved ISO alpha-3 issues to separate ticket #3702 and renamed this ticket

#6 - 12/16/2014 08:23 PM - Andreas Miiller
- Target version changed from CDM UML 3.5 to CDM UML - Next major release

Move all unassigned modelling tickets to next major release
http://de.wikipedia.org/wiki/ISO-3166-1-Kodierliste
https://www.iso.org/obp/ui/#iso:pub:PUB500001:en
http://www.iso.org/iso/country_codes/iso_3166_code_lists.htm
http://de.wikipedia.org/wiki/ISO_3166
https://dev.e-taxonomy.eu/redmine/issues/3702
http://www.iso.org/iso/country_codes/check_what_s_new.htm
http://www.getty.edu/research/tools/vocabularies/tgn/
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/DefinedTerms
https://dev.e-taxonomy.eu/redmine/issues/3702

#8 - 08/09/2018 12:55 AM - Andreas Miiller
- Description updated
- Target version changed from CDM UML - Next major release to COM UML 5.5

#9 - 08/09/2018 01:02 AM - Andreas Miiller
- Subject changed from Include ISO-3166 numeric codes to WaterbodyOrCountry to Include ISO-3166 numeric codes to Country

- Private changed from Yes to No

#10 - 08/09/2018 01:12 AM - Andreas Miiller
- Related to feature request #3702: WaterbodyOrCountry ISO 3166 alpha-3 code should be available as attribute added

#11 - 08/09/2018 01:24 AM - Andreas Miiller

- Related to feature request #7640: Update ISO country names where necessary added

#13 - 08/09/2018 01:58 AM - Andreas Miiller

- Description updated

#14 - 01/19/2019 12:33 AM - Andreas Miiller
- Priority changed from Priority13 to Priority12

#15 - 05/05/2019 11:20 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to CDM UML 5.15

#16 - 06/23/2020 02:52 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#17 - 06/14/2021 09:22 AM - Andreas Miiller

- Description updated
